Package org.eclipse.birt.report.engine.api.script.eventhandler

# Interface IScriptedDataSourceEventHandler

All Superinterfaces:
  `IDataSourceEventHandler`

All Known Implementing Classes:
  `ScriptedDataSourceEventAdapter`

public interface IScriptedDataSourceEventHandler extends IDataSourceEventHandler
Script event handler interface for a scripted data source

## Method Summary

Modifier and Type
Method
Description
`void`
`close(IDataSourceInstance dataSource)`
Handle the close event
`void`
`open(IDataSourceInstance dataSource)`
Handle the open event

### Methods inherited from interface org.eclipse.birt.report.engine.api.script.eventhandler.IDataSourceEventHandler

`afterClose, afterOpen, beforeClose, beforeOpen`

## Method Details

### open

void open(IDataSourceInstance dataSource) throws ScriptException
Handle the open event

Throws:
  `ScriptException`

### close

void close(IDataSourceInstance dataSource) throws ScriptException
Handle the close event

Throws:
  `ScriptException`